Subject: Re: [bug#77833] Xapian cache/search proof of concept

From: Simon Tournier <[email-masked]>
Date: Thu, 17 Apr 2025 12:04:15 +0200

Hi Ludo,

On Wed, 16 Apr 2025 at 22:01, Ludovic Courtès <[email-masked]> wrote:

> I forgot the outcome of discussions with Simon back when they worked on
> it, but now I wonder: would it be reasonable to have it in ‘guix search’
> proper, with indexing happening on first ‘guix search’ for a given
> channel set?

Adding Xapian as a dependency of Guix would be unwise, IMHO.

I would prefer we take the other direction: having a light core Guix and
add around some extensions – at least as light as possible :-) –;
instead of adding more and more to what comes by default with “guix
pull”.

Cheers,
simon